## clutter-mir clutter-mir — Mir specific API |

## Functions

void | clutter_mir_disable_event_retrieval ()
void | clutter_mir_set_connection ()
MirSurface * | clutter_mir_stage_get_mir_surface ()
void | clutter_mir_stage_set_mir_surface ()

## Description

The Mir backend for Clutter provides some specific API, allowing integration with the Mir client API for acessing the underlying data structures

The Clutter Mir API is available since Clutter 1.22

## Functions

### clutter_mir_disable_event_retrieval ()

    void
    clutter_mir_disable_event_retrieval (void);

Disables the dispatch of the events in the main loop.

This is useful for integrating Clutter with another library that will do the event dispatch;

This function can only be called before calling `clutter_init()`.

This function should not be normally used by applications.

Since: 1.22

### clutter_mir_set_connection ()

    void
    clutter_mir_set_connection (MirConnection *connection);

Sets the display connection Clutter should use; must be called before `clutter_init()`, `clutter_init_with_args()` or other functions pertaining Clutter's initialization process.

If you are parsing the command line arguments by retrieving Clutter's GOptionGroup with `clutter_get_option_group()` and calling `g_option_context_parse()` yourself, you should also call `clutter_mir_set_connection()` before `g_option_context_parse()`.

#### Parameters

connection | pointer to a mir connection |

Since: 1.22

### clutter_mir_stage_get_mir_surface ()

    MirSurface *
    clutter_mir_stage_get_mir_surface (ClutterStage *stage);

Access the underlying data structure representing the surface that is backing the ClutterStage

Note: this function can only be called when running on the Mir platform. Calling this function at any other time will return `NULL`.

[skip]

#### Parameters

stage | a ClutterStage |

#### Returns

the Mir surface associated with `stage` .

[transfer none]

Since: 1.22

### clutter_mir_stage_set_mir_surface ()

    void
    clutter_mir_stage_set_mir_surface (ClutterStage *stage,
                                       MirSurface *surface);

Allows you to explicitly provide an existing Mir surface to associate with `stage` , preventing Cogl from allocating a surface and shell surface for the stage automatically.

This function must be called before `stage` is shown.

Note: this function can only be called when running on the Mir platform. Calling this function at any other time has no effect.

#### Parameters

stage | a ClutterStage |
surface | A Mir surface to associate with the `stage` . |

Since: 1.22

## Types and Values